about summary refs log tree commit diff homepage
diff options
context:
space:
mode:
-rwxr-xr-x.travis/z3.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/.travis/z3.sh b/.travis/z3.sh
index a4c00f82..315d028c 100755
--- a/.travis/z3.sh
+++ b/.travis/z3.sh
@@ -13,6 +13,12 @@ if [[ "$TRAVIS_OS_NAME" == "linux" ]]; then
   # Should we install libz3-dbg too?
   sudo apt-get -y install libz3 libz3-dev
 elif [[ "${TRAVIS_OS_NAME}" == "osx" ]]; then
+  set +e
+  brew install python@2
+  if [[ "X$?" != "X0" ]]; then
+     brew link --overwrite python@2
+  fi
+  set -e
   brew install z3
 else
   echo "Unhandled TRAVIS_OS_NAME \"${TRAVIS_OS_NAME}\""